set(tappyplane_srcs tappyplane.cpp)
set(tappyplane_assets
    assets/PNG/background.png
    )

set_source_files_properties(${tappyplane_assets} PROPERTIES HEADER_FILE_ONLY TRUE)

add_executable(tappyplane ${tappyplane_srcs} ${tappyplane_assets})

target_link_libraries(tappyplane paradiso_core)

#
# copy files to bin/../assets folder
#
add_custom_command(TARGET tappyplane POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E copy_directory
                   ${CMAKE_CURRENT_SOURCE_DIR}/assets/
                   $<TARGET_FILE_DIR:tappyplane>/assets)
